<!--

@license Apache-2.0

Copyright (c) 2018 The Stdlib Authors.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

-->

# isDateObject

> Test if a value is a [Date][mdn-date-object] object.

<section class="usage">

## Usage

```javascript
var isDateObject = require( '@stdlib/assert/is-date-object' );
```

#### isDateObject( value )

Tests if a value is a [`Date`][mdn-date-object] object.

```javascript
var bool = isDateObject( new Date() );
// returns true

bool = isDateObject( '2017-01-01' );
// returns false
```

</section>

<!-- /.usage -->

<section class="examples">

## Examples

<!-- eslint-disable no-empty-function, no-restricted-syntax -->

<!-- eslint no-undef: "error" -->

```javascript
var isDateObject = require( '@stdlib/assert/is-date-object' );

var bool = isDateObject( new Date() );
// returns true

bool = isDateObject( '2017-01-01' );
// returns false

bool = isDateObject( 5 );
// returns false

bool = isDateObject( null );
// returns false

bool = isDateObject( void 0 );
// returns false

bool = isDateObject( {} );
// returns false

bool = isDateObject( [] );
// returns false

bool = isDateObject( function Date() {} );
// returns false
```

</section>

<!-- /.examples -->

<!-- Section for related `stdlib` packages. Do not manually edit this section, as it is automatically populated. -->

<section class="related">

</section>

<!-- /.related -->

<!-- Section for all links. Make sure to keep an empty line after the `section` element and another before the `/section` close. -->

<section class="links">

[mdn-date-object]: https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Date

</section>

<!-- /.links -->
