<!--

@license Apache-2.0

Copyright (c) 2021 The Stdlib Authors.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

-->

# isLocalhost

> Test whether a value is a localhost hostname.

<!-- Section to include introductory text. Make sure to keep an empty line after the intro `section` element and another before the `/section` close. -->

<section class="intro">

</section>

<!-- /.intro -->

<!-- Package usage documentation. -->

<section class="usage">

## Usage

```javascript
var isLocalhost = require( '@stdlib/assert/is-localhost' );
```

#### isLocalhost( value )

Tests whether a value is a localhost hostname.

```javascript
var bool = isLocalhost( 'localhost' );
// returns true

bool = isLocalhost( 'stdlib.io' );
// returns false
```

</section>

<!-- /.usage -->

<!-- Package usage notes. Make sure to keep an empty line after the `section` element and another before the `/section` close. -->

<section class="notes">

</section>

<!-- /.notes -->

<!-- Package usage examples. -->

<section class="examples">

## Examples

<!-- eslint no-undef: "error" -->

```javascript
var isLocalhost = require( '@stdlib/assert/is-localhost' );

var bool = isLocalhost( 'localhost' );
// returns true

bool = isLocalhost( '127.0.0.1' );
// returns true

bool = isLocalhost( '[::1]' );
// returns true

bool = isLocalhost( 'wikipedia.org' );
// returns false

bool = isLocalhost( 'stdlib.io' );
// returns false

bool = isLocalhost( null );
// returns false
```

</section>

<!-- /.examples -->

<!-- Section to include cited references. If references are included, add a horizontal rule *before* the section. Make sure to keep an empty line after the `section` element and another before the `/section` close. -->

<section class="references">

</section>

<!-- /.references -->

<!-- Section for all links. Make sure to keep an empty line after the `section` element and another before the `/section` close. -->

<section class="links">

</section>

<!-- /.links -->
